import { Argv } from 'yargs'
import { errormsg } from '../../../helpers'
export const command: string = 'get'
export const desc: string = 'get a resouce from a git provider'
export const usage: string = 'Usage: $0 get <resource> [options]'

export const builder = (yargs: Argv) => yargs
    .commandDir('../get', {
        extensions: ['cmd.js', 'cmd.ts'],
    })
    .demandCommand(2, errormsg`must specify the resource type`)
    .option('output', {
        alias: 's',
        describe: 'Where to save the fetched file to',
        defaultDescription: 'prints stdout',
        type: 'string'
    })
    .example(
        `$0 ${command} file -o some-owner -r some-repo -p ./path/to/file`,
        'Will fetch the file located at path/to/file from the root of repo: "some-owner/some-repo" (revision "master")'
    )
